{% extends 'base.html' %}

{% block title %}
File Compression
{% endblock %}

{% block content %}
<div class="card m-2">
    <div class="card-header">
      Files Compression Service
    </div>
    <div class="card-body">
      <h5 class="card-title">Files Compression Service</h5>
      <p class="card-text">Accept files and return a zip file. You must be loged in to use this service.</p>
      <form method="POST" action="http://localhost:20675/api/compress/" enctype="multipart/form-data">
          {% csrf_token %}
        <div class="form-group">
          <label for="files">Files</label>
          <input type="file" name="files" class="form-control" id="files" aria-describedby="emailHelp" multiple>
          <small id="files" class="form-text text-muted">You can upload multiple file at once.</small>
          {% if error %}
          <small id="files" class="form-text text-danger">{{ error_messege }}</small>
          {% endif %}
        </div>
        <button type="submit" class="btn btn-primary">Submit</button>
      </form>
    </div>
  </div>
{% endblock %}